Package org.apache.felix.hc.core.impl.monitor

## Class HealthCheckMonitor

- java.lang.Object
- - org.apache.felix.hc.core.impl.monitor.HealthCheckMonitor

All Implemented Interfaces:
  `Runnable`

    public class HealthCheckMonitor
    extends Object
    implements Runnable

Monitors health check tags and/or names and depending on configuration:

- Activates the condition marker services `SystemReady`, `Healthy`, `Unhealthy`
- Sends OSGi events

### Nested Class Summary

Nested Classes
`static class` `HealthCheckMonitor.ChangeType`
`static interface` `HealthCheckMonitor.Config`

### Constructor Summary

Constructors
`HealthCheckMonitor()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `activate​(org.osgi.framework.BundleContext bundleContext, HealthCheckMonitor.Config config, org.osgi.service.component.ComponentContext componentContext)`
`protected void` `deactivate()`
`void` `run()`
`String` `toString()`
`void` `updateHealthStatesMap()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### HealthCheckMonitor

    public HealthCheckMonitor()

### Method Detail

#### activate

    protected final void activate​(org.osgi.framework.BundleContext bundleContext,
                                  HealthCheckMonitor.Config config,
                                  org.osgi.service.component.ComponentContext componentContext)
                           throws org.osgi.framework.InvalidSyntaxException

Throws:
  `org.osgi.framework.InvalidSyntaxException`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### deactivate

    protected final void deactivate()

#### updateHealthStatesMap

    public void updateHealthStatesMap()

#### run

    public void run()

Specified by:
  `run` in interface `Runnable`